export interface Target {
	x: number;
	y: number;
	radius: number;
}

export interface Stats {
	startTime: number;
	misclicks: number;
	targetsHit: number;
	times: number[];
}

export interface ViewportOffset {
	x: number;
	y: number;
}

export interface AccelerationSettings {
	enabled: boolean;
	accelerationCurve: number[];
}

export interface Round {
	timeSpent: number;
	misclicks: number;
	accelerationEnabled: boolean;
	accelerationCurve?: number[];
	timestamp: number;
}

export const CONSTANTS = {
	TARGET_COUNT: 200,
	TARGET_MIN_RADIUS: 100,
	TARGET_MAX_RADIUS: 800,
	VIRTUAL_CANVAS_SIZE: 50000,
	ZOOM_LEVELS: {
		min: 0.01,
		max: 10,
		default: 0.2,
	},
	MOUSE_WHEEL_SAMPLES: 5,
	NUM_CURVE_POINTS: 5,
} as const;
